#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Test
%define	pnam	LongString
Summary:	Test::LongString - tests strings for equality, with more helpful failures
Summary(pl.UTF-8):	Test::LongString - sprawdzanie łańcuchów pod kątem identyczności
Name:		perl-Test-LongString
Version:	0.15
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e628d735b8e8f33d3992541f823491c3
URL:		http://search.cpan.org/dist/Test-LongString/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tests strings for equality, with more helpful failures.

%description -l pl.UTF-8
Sprawdzanie łańcuchów pod kątem identyczności z bardziej pomocnymi
niepowodzeniami.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Test/*.pm
%{_mandir}/man3/*
%changelog
* Tue Mar 10 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Test-LongString.git;a=log;h=master

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> e68d1d1
- up to 0.15

* Sun Jul 20 2008 Jakub Bogusz <qboosh@pld-linux.org> a712a33
- pl, generic URL

* Tue Feb 26 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 91e3ac7
- initial

